This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 216431 - Print settings should be remembered per-document
Print settings should be remembered per-document
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks: 216121
  Show dependency treegraph
 
Reported: 2006-11-20 08:23 EST by Caolan McNamara
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-01 22:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Caolan McNamara 2006-11-20 08:23:38 EST
+++ This bug was initially created as a clone of Bug #216121 +++

Description of problem:
Printer settings are simply remembered from the last print job, regardless of
which printer it was to.  They should be remembered per-printer.

Version-Release number of selected component (if applicable):
evince-0.6.0-3.fc6

This affects the duplexing option (for instance).

+++
Comment 1 Caolan McNamara 2006-11-20 08:27:16 EST
So, to reproduce add two duplex printers to the printers e.g. "duplexprinter" and 
"anotherduplexprinter"

print something as "long edge" to "duplexprinter", revisit the dialog and look
at "anotherduplexprinter" it'll have been set to "long edge" also.
Comment 2 Matthias Clasen 2006-12-01 22:26:25 EST
gtk+ does not remember the print settings, therefore this can't be gtks fault...

If there is enhancement request here to make it possible to save and restore
per-printer settings by hooking up to a printer-changed signal on the dialog, 
then please file that upstream.
Comment 3 Tim Waugh 2007-01-22 05:46:57 EST
Isn't it possible to pre-fill the dialog with specific settings?  E.g. setting
the selected printer, and enabling duplex?

Note You need to log in before you can comment on or make changes to this bug.